[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThread.AfterConstruction

Code to be executed after construction but before execute.

## Declaration

Source position: classesh.inc line 1820

`public procedure TThread.AfterConstruction; override;`

## Description

AfterConstruction is overridden in TThread, it actually starts the thread if it was created with CreateSuspended equal to False, i.e. not suspended. When overriding this method, the inherited method must be called, or the thread will never be started.